
/* ===== Header / Profil ===== */
.header {
    text-align: center;
    padding: 140px 20px 60px 20px;
    background-image: url("images/img_startseite_bckground.jpg");
   background-repeat: no-repeat;
   background-size: cover;
   background-position: center;
   background-attachment: fixed;
}

.profile-img {
    width: 160px;
    height: 160px;
    border-radius: 50%;
    object-fit: cover;
    border: 4px solid #474747;
    animation:float 10s ease-in-out infinite;
}


.hero{
   position: relative;
   height: 500px;
   overflow: hidden;
   display: flex;
   justify-content: center;
   align-items: center;
}
.bg-video{
   position: absolute;
   width: 100%;
   height: 100%;
   object-fit: cover;
   opacity: 0.12;
}
.hero-content{
   position: relative;
   z-index: 2;
}

@keyframes float {
 0%   { transform: translate(0px, 0px); }
 20%  { transform: translate(-3px, -4px); }
 40%  { transform: translate(2px, 3px); }
 60%  { transform: translate(-2px, 4px); }
 80%  { transform: translate(3px, -2px); }
 100% { transform: translate(0px, 0px); }
}


.name {
 text-align: center;
 margin-top: 20px;
}
/* ✨ Vorname (geschwungen) */
.vorname {
 font-family: 'Allura', cursive;
 font-size: 64px;
 color: #333;
 line-height: 1;
}
/* ✨ Nachname darunter */
.nachname {
 font-family: 'Montserrat', sans-serif;
 font-size: 16px;
 letter-spacing: 6px;
 color: #777;
 margin-top: 0px;
}

/* ===== Kacheln ===== */
.section {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 80px 10%;
    gap: 50px;
}

.section:nth-child(even) {
    background: white;
}

.text {
    font-size: 18px;
    line-height: 1.6;
}

.header_freunde{
    font-size: 30px;
}

.steckbriefheader{
    font-size: 25px;
}


.text h2 {
    margin-bottom: 20px;
    font-size: 26px;
}

.text p {
    line-height: 1.6;
}

.image {
    width: 500px;
}

.image img {
    width: 100%;
    border-radius: 12px;
}

/* ===== Nur Text Feld ===== */
.full-text {
    padding: 100px 15%;
    text-align: center;
    background: #999999;
    color: white;
}

.full-text h2 {
    margin-bottom: 20px;
}

.textschule{
    font-size: 18px;
}

/* ===== Responsive ===== */
@media (max-width: 768px) {
    .section {
        flex-direction: column;
        text-align: center;
    }
    
    .section-katze{
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        text-align: center;
    }

    .logo{
        flex: 1;
        text-align: left;
    }

    .textkatze{
        padding-bottom: 50px;
    }

    .nav-links{
        flex: 4;
        display: flex;
        justify-content: center;
        gap: 12px;
        margin-right: 50px;

    }

    .nav-links a{
        font-size: 15px;
    }

    .navbar {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
}


.textkatze{
    font-size: 20px;
}

.überschriftfreunde{
    margin-bottom: 20px;
}


.freunde{
    background:#e3e3e3;
    color:rgb(58, 58, 58);
    text-align:center;
    padding:40px;
}

.textfreunde{
    margin-top: 20px;
}

.freundebild img {
filter:grayscale(100%);
width:100%;
height:auto;
transition: 0.4s;
}

.freundebild:hover img {
    filter:grayscale(0%);
}

.hobby-bilder{
    display:flex;
    justify-content:space-around;
    margin-top:30px;
}

.bildkarte img{
    width:270px;
    border-radius: 15px;
}
.text{
  font-size:14px;
  margin-top:5px;
}

.textturnen{
    font-size: 20px;
}


@media (max-width: 768px) {
 .hobby-bilder {
   display: flex;
   flex-direction: column;
   align-items: center;
   gap: 35px;
 }
 .bildkarte {
   width: 90%;
   max-width: 350px;
   text-align: center;
 }
 .bildkarte img,
 .freundebild img {
   width: 100%;
   height: auto;
   border-radius: 15px;
 }
 .textfreunde {
   font-size: 16px;
   margin-top: 10px;
 }
 .überschriftfreunde {
   font-size: 22px;
   margin-bottom: 10px;
 }
}

.slide-left,
.slide-right{
   opacity:0;
   transition:1.2s ease;
}
.slide-left{
   transform:translateX(-120px);
}
.slide-right{
   transform:translateX(120px);
}
.scroll-animation.show .slide-left,
.scroll-animation.show .slide-right{
   opacity:1;
   transform:translateX(0);
}